Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364094 - enable userspace namespaces
Summary: enable userspace namespaces
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-04 13:07 UTC by Vladimir Benes
Modified: 2018-01-22 16:06 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-23 23:00:30 UTC


Attachments (Terms of Use)

Description Vladimir Benes 2016-08-04 13:07:13 UTC
Description of problem:
flatpak doesn't work with F25 kernels (4.8.rc0 and 4.7.0) but it works with F24's one 4.6.5-300.fc24.x86_64 

Version-Release number of selected component (if applicable):
4.6.5-300.fc24.x86_64

How reproducible:
always

Steps to Reproduce:
1.flatpak run org.gnome.gedit

Comment 1 Josh Boyer 2016-08-04 13:17:41 UTC
User namespaces are enabled in the f25 and rawhide kernels already.

[jwboyer@x1 kernel]$ grep USER_NS kernel-4.7.fc25/linux-4.8.0-0.rc0.git3.1.fc25.x86_64/configs/kernel-4.8.0-x86_64.config 
CONFIG_USER_NS=y
[jwboyer@x1 kernel]$ 

[jwboyer@x1 kernel]$ grep USER_NS kernel-4.7.fc26/linux-4.8.0-0.rc0.git6.1.fc26.x86_64/configs/kernel-4.8.0-x86_64.config 
CONFIG_USER_NS=y
[jwboyer@x1 kernel]$ 

Is there a specific reason you think user namespaces are not enabled?

Comment 2 Laura Abbott 2017-01-17 01:09:38 UTC
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.

Comment 3 Laura Abbott 2017-02-23 23:00:30 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.